%global apiver  1
%global gtk_version 4.11.3

%global major       0
%define libname     %mklibname adwaita %{apiver} %{major}
%define girname     %mklibname adwaita-gir %{apiver}
%define devname     %mklibname adwaita -d

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           libadwaita
Version:        1.7.2
Release:        %mkrel 1
Summary:        Building blocks for modern GNOME applications
Group:          System/Libraries

License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/libadwaita
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  meson >= 0.59.0
BuildRequires:  sassc
BuildRequires:  vala

BuildRequires:  pkgconfig(appstream)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4) >= %{gtk_version}

%description
Building blocks for modern GNOME applications.


%package        -n %libname
Summary:        Library for %{name}
Group:		System/Libraries
# (tv) for translations & the like:
Requires:	%{name} >= %{version}-%{release}

%description    -n %libname
Library for %{name}.

%package        -n %{girname}
Summary:        GObject Introspection interface library for Adw
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description    -n %{girname}
GObject Introspection interface library for Adw.

%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Requires:       vala
Recommends:     %{name}-demo = %{version}-%{release}
Recommends:     %{name}-doc = %{version}-%{release}

%description    -n %devname
Development files for %{name}.


%package        doc
Summary:        Documentation files for %{name}
BuildArch:      noarch

Recommends:     %{devname} = %{version}-%{release}

%description    doc
Documentation files for %{name}.


%package        demo
Summary:        Demo files for %{name}
Requires:       %{libname} = %{version}-%{release}
Suggests:       %{devname} = %{version}-%{release}

%description    demo
Demo files for %{name}.


%prep
%autosetup -p1 -n %{name}-%{tarball_version}


%build
%meson \
    -Dgtk_doc=true \
    -Dtests=false \
    %{nil}
%meson_build


%install
%meson_install
%find_lang %{name}



%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS NEWS

%files -n %libname
%{_libdir}/*-%{apiver}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Adw-%{apiver}.typelib

%files -n %devname
%{_datadir}/gir-1.0/Adw-%{apiver}.gir
%{_datadir}/vala/vapi/%{name}-%{apiver}.*
%{_includedir}/%{name}-%{apiver}/
%{_libdir}/*-%{apiver}.so
%{_libdir}/pkgconfig/*-%{apiver}.pc

%files doc
%doc CONTRIBUTING.md
%{_docdir}/%{name}-%{apiver}/

%files demo
%{_bindir}/adwaita-%{apiver}-demo
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.svg
%{_metainfodir}/*.metainfo.xml


%changelog
* Mon Apr 21 2025 daviddavid <daviddavid> 1.7.2-1.mga10
+ Revision: 2177394
- new version 1.7.2

* Wed Mar 19 2025 daviddavid <daviddavid> 1.7.0-1.mga10
+ Revision: 2166908
- new version 1.7.0

* Sat Nov 30 2024 daviddavid <daviddavid> 1.6.2-1.mga10
+ Revision: 2120043
- new version 1.6.2

* Mon Oct 14 2024 daviddavid <daviddavid> 1.6.1-1.mga10
+ Revision: 2106869
- new version 1.6.1

* Sat Sep 14 2024 daviddavid <daviddavid> 1.6.0-1.mga10
+ Revision: 2096019
- new version 1.6.0

* Sun Jun 02 2024 daviddavid <daviddavid> 1.5.1-1.mga10
+ Revision: 2069160
- new version 1.5.1

* Sun Mar 17 2024 daviddavid <daviddavid> 1.5.0-1.mga10
+ Revision: 2050150
- new version 1.5.0

* Thu Dec 07 2023 daviddavid <daviddavid> 1.4.2-1.mga10
+ Revision: 2014170
- new version 1.4.2

* Sat Sep 23 2023 tv <tv> 1.4.0-1.mga10
+ Revision: 1989465
- 1.4.0

* Mon Apr 24 2023 neoclust <neoclust> 1.3.2-1.mga9
+ Revision: 1954672
- New version 1.3.2

* Sat Apr 22 2023 tmb <tmb> 1.3.1-1.mga9
+ Revision: 1954099
- update to 1.3.1

* Mon Sep 19 2022 tv <tv> 1.2.0-1.mga9
+ Revision: 1890242
- 1.2.0

* Fri Aug 05 2022 ovitters <ovitters> 1.1.4-1.mga9
+ Revision: 1875420
- new version 1.1.4

* Sat Jul 09 2022 ovitters <ovitters> 1.1.3-1.mga9
+ Revision: 1868122
- new version 1.1.3

* Wed Jun 01 2022 ovitters <ovitters> 1.1.2-1.mga9
+ Revision: 1860987
- new version 1.1.2

* Sat Apr 23 2022 ovitters <ovitters> 1.1.1-1.mga9
+ Revision: 1852767
- new version 1.1.1

* Tue Mar 22 2022 tv <tv> 1.1.0-1.mga9
+ Revision: 1816752
- Update to 1.1.0

* Tue Mar 08 2022 tv <tv> 1.1~rc-1.mga9
+ Revision: 1789828
- Update to 1.1.rc

* Wed Feb 16 2022 tv <tv> 1.1~beta-1.mga9
+ Revision: 1777884
- Update to 1.1.beta

* Mon Jan 03 2022 wally <wally> 1.0.1-2.mga9
+ Revision: 1766475
- make demo pkg archful
- don't own system dir
- add general provides to devel pkg
- move demo binary to demo pkg
- split out gir typelib from lib pkg
- fix lib pkg name

* Mon Jan 03 2022 tv <tv> 1.0.1-1.mga9
+ Revision: 1766323
- imported package libadwaita


* Mon Jan 03 2022 Thierry Vignaud <tv@mageia.org> 1.0.1-1.mga9
- Initial package
